Subject: [apps-discuss] #507 integer value parsing, Re: APPSDIR review of draft-ietf-httpbis-p5-range-24

From: Julian Reschke <[email-masked]>
Date: Wed, 06 Nov 2013 16:50:48 -0800

On 2013-10-29 01:13, S Moonesamy wrote:
> ...

I have been selected as the Applications Area Directorate reviewer for
> this draft (for background on APPSDIR, please see
> http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).
>
>
> Please resolve these comments along with any other Last Call comments
> you may receive. Please wait for direction from your document shepherd
> or AD before posting a new version of the draft.
>
> In Section 2.1:
>
>    "In the byte range syntax, first-byte-pos, last-byte-pos, and suffix-
>     length are expressed as decimal number of octets.  Since there is no
>     predefined limit to the length of a payload, recipients ought to
>     anticipate potentially large decimal numerals and prevent parsing
>     errors due to integer conversion overflows."
>
> There is a RFC 2119 "should" in Section 3.3.2 of
> draft-ietf-httpbis-p1-messaging-24 about integer conversion and a
> reference to Section 9.3 of that draft.  I may have missed integer
> conversation issues in the reviews.  I suggest doing a verification to
> verify that there is adequate text where it is applicable.
> ...

We discussed this during this weeks WG meeting, and the consensus was 
that we want to make both instances a "MUST".

The proposed change is here: 
<http://trac.tools.ietf.org/wg/httpbis/trac/attachment/ticket/507/507.diff>

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Thu, 07 Nov 2013 07:30:10 -0800

> <http://trac.tools.ietf.org/wg/httpbis/trac/attachment/ticket/507/507.diff>

...and applied in 
<http://trac.tools.ietf.org/wg/httpbis/trac/changeset/2480>.

Best regards, Julian